[Snort-users] Library required for --enable-flexresp

Frank Knobbe fknobbe at ...652...
Sat Oct 5 10:11:05 EDT 2002


I had a similar error compiling Snort 1.9 (stock, without MySQL) from
CVS under FreeBSD (4.7-RC) where it was trying to compile with the nsl
library (-lnsl), and of course it bombed.

I had asked about this in Snort-Devel and have yet to receive a
response. I haven't tried compiling from CVS since.

If you get an answer, please let me know.

Thanks,
Frank


On Fri, 2002-10-04 at 19:35, francisv at ...6732... wrote:
> Hi,
> 
> I'm compiling snort-1.9 on a FreeBSD 4.7-RC system and I got this message
> while compiling with the options: --with-mysql --enable-flexresp
> 
> gcc  -g -O2 -Wall -DENABLE_RESPONSE -DLIBNET_BSDISH_OS
> -DLIBNET_BSD_BYTE_SWAP -DHAVE_SOCKADDR_SA_LEN -DLIBNET_LIL_ENDIAN
> -L/usr/local/lib/mysql -o snort  codes.o debug.o decode.o log.o mstring.o
> parser.o  plugbase.o snort.o snprintf.o strlcatu.o strlcpyu.o tag.o
> ubi_BinTree.o  ubi_SplayTree.o util.o detect.o substr.o trie.o signature.o
> mempool.o  sf_sdlist.o perf.o perf-flow.o perf-base.o perf-event.o
> threshold.o output-plugins/libspo.a  detection-plugins/libspd.a
> preprocessors/libspp.a -lz -lpcap -lm  -lmysqlclient -lnet
> /usr/libexec/elf/ld: cannot find -lnet
> *** Error code 1
> 
> Stop in /usr/local/src/snort/snort-1.9.0/src.
> *** Error code 1
> 

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 307 bytes
Desc: This is a digitally signed message part
URL: <https://lists.snort.org/pipermail/snort-users/attachments/20021005/33ad1060/attachment.sig>


More information about the Snort-users mailing list